> ## Documentation Index
> Fetch the complete documentation index at: https://developer.buildpass.global/llms.txt
> Use this file to discover all available pages before exploring further.

# Get time types

> Get a list of time types configured for a builder



## OpenAPI

````yaml GET /timesheets/time-types
openapi: 3.0.0
info:
  title: BuildPass API
  description: >-
    Approved integrators can connect to the BuildPass API on behalf of builders
    to build connections between a wide range of construction platforms.
  version: 1.0.0
servers:
  - url: https://api.buildpass.global
    description: Production server
security:
  - OAuth2: []
paths:
  /timesheets/time-types:
    get:
      description: Get a list of time types configured for a builder
      operationId: getTimeTypes
      parameters:
        - name: X-BuildPass-Builder-Id
          in: header
          required: true
          schema:
            $ref: '#/components/schemas/X-BuildPass-Builder-Id'
        - name: X-BuildPass-Api-Version
          in: header
          required: true
          schema:
            $ref: '#/components/schemas/X-BuildPass-Api-Version'
      responses:
        '200':
          description: A list of timesheet time types
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/TimesheetTimeTypes'
        '400':
          description: Bad Request
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/ErrorResponse'
        '401':
          description: Unauthorized
        '403':
          description: Forbidden
        '404':
          description: Not Found
        '429':
          description: Too Many Requests
        '500':
          description: Internal Server Error
      security:
        - OAuth2: []
components:
  schemas:
    X-BuildPass-Builder-Id:
      type: string
      example: buil_clgbsb90b001qjy0f0eo1hspp
      description: Call the /builders endpoint to get a builder ID
    X-BuildPass-Api-Version:
      type: string
      example: v1
      default: v1
      enum:
        - v1
      description: What API version to use.
    TimesheetTimeTypes:
      type: object
      properties:
        data:
          type: array
          items:
            properties:
              id:
                type: string
                example: tstt_1
              name:
                type: string
                example: Annual Leave
    ErrorResponse:
      type: object
      properties:
        errors:
          type: array
          items:
            type: object
            properties:
              fieldName:
                type: string
                example: name
              message:
                type: string
                example: This field is required.
  securitySchemes:
    OAuth2:
      type: oauth2
      flows:
        clientCredentials:
          tokenUrl: https://api.buildpass.global/oauth/token
          scopes:
            read:subcontractors: Read subcontractors
            write:subcontractors: Write subcontractors
            read:prequalifications: Read prequalifications
            write:prequalifications: Write prequalifications
            read:insurances: Read insurances
            write:insurances: Write insurances
            read:contacts: Read contacts
            read:swms: Read SWMS
            read:timesheets: Read timesheets
            read:inductions: Read inductions
            read:meetings: Read meetings
            write:meetings: Write meetings
            read:photos: Read photos and photo folders
            write:photos: Create, update, delete, and sync photos and photo folders

````